@import "./lib/styles/main";

.kislov-tag {
  position: relative;
  display: inline-block;
  margin: 5px;
  cursor: default;

  .close {
    display: inline-block;
    cursor: pointer;
    margin-left: 0.5em;
  }

  &.regular {
    background: $green-basic;
    color: $white;
    &:hover {
      background: $green-dark;
    }
  }
  &.outlined {
    background: transparent;
    border: 2px solid $green-basic;
    color: $green-basic;
    &:hover {
      border-color: $green-dark;
      color: $green-dark;
    }
  }

  &.small {
    padding: 2px 10px;
    border-radius: 10px;
    font-size: $font-x-small-size;
  }
  &.medium {
    padding: 3px 10px;
    border-radius: 13px;
    font-size: $font-medium-size;
  }
  &.large {
    padding: 10px 25px;
    border-radius: 23px;
    font-size: $font-x-large-size;
  }
}